---
http_interactions:
- request:
    method: get
    uri: http://test.ieducar.com.br/module/Api/Aluno?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&oper=get&resource=errado&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Thu, 11 Sep 2014 20:28:55 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=iraa037jurbkmdktcgq6nrbhk3; expires=Fri, 12-Sep-2014 20:28:55 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '160'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: US-ASCII
      string: '{"oper":"get","resource":"errado","msgs":[{"msg":"Opera\u00e7\u00e3o
        ''get'' n\u00e3o implementada para o recurso ''errado''","type":"error"}],"any_error_msg":true}'
    http_version: 
  recorded_at: Thu, 11 Sep 2014 20:28:55 GMT
- request:
    method: get
    uri: https://test.ieducar.com.br/module/Api/Aluno?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&oper=get&resource=errado&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 30 Apr 2018 21:31:25 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=cicqt6il8v04p8p8lslon72lu1; expires=Tue, 01-May-2018 21:31:25 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '160'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: UTF-8
      string: '{"oper":"get","resource":"errado","msgs":[{"msg":"Opera\u00e7\u00e3o
        ''get'' n\u00e3o implementada para o recurso ''errado''","type":"error"}],"any_error_msg":true}'
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:01:19 GMT
- request:
    method: get
    uri: https://test.ieducar.com.br/module/Api/Aluno?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&modified&oper=get&resource=errado&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.2.6p396
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx/1.14.0 (Ubuntu)
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Date:
      - Fri, 05 Apr 2019 12:12:39 GMT
      X-Xss-Protection:
      - '0'
      Set-Cookie:
      - i_educar_session=kJDPZAc1ymAEBZIOOsGec2hcKNvFzyrBLT1K6KEX; expires=Fri, 05-Apr-2019
        14:12:39 GMT; Max-Age=7200; path=/; httponly
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAzWNsQrDMAxEf8Vo8ZIh0KGQn+gHtCWIRIRAbZmzPYSQf4/qNou4e5zudtIkoIEWKdQRJGvFJAYE4FmNhbxkGp77Vxh/WJ5fte/l3u5Nnbdn7+Jl15A+EiQWntklBjt1kKkiW/RX6623bOm/o6Dj3RHHbWxubEsFVY4T04VAfKAAAAA=
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:06:35 GMT
- request:
    method: get
    uri: https://test.ieducar.com.br/module/Api/Aluno?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&modified=&oper=get&resource=errado&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.6.6p146
      Host:
      - test.ieducar.com.br
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 11 Jul 2025 13:35:51 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Cf-Ray:
      - 95d8afbadc0c6234-GRU
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Set-Cookie:
      - i_educar_session=g2qVdm9TG3tvU7Axho32DOZVKJjpki7deJ9HpGyA; expires=Fri, 11
        Jul 2025 15:35:51 GMT; Max-Age=7200; path=/; secure; httponly; samesite=lax
      Content-Encoding:
      - gzip
      Strict-Transport-Security:
      - max-age=63072000
      Cf-Cache-Status:
      - DYNAMIC
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=2v2%2FnBYCJujcApu5UDGECV%2B49IgW9%2BI9Iea6uJcg0bSOxCG%2FUmBOGGDbtgwJ905K4yc249%2FzxmF4UFknx8WO0RJJPQ1sYW5vFFdwCcZ2spQLrCzJ2%2F7AuJdDY7l6UNep9G3b44i4"}],"group":"cf-nel","max_age":604800}'
      Nel:
      - '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}'
      Expect-Ct:
      - max-age=86400, enforce
      Referrer-Policy:
      - same-origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
      Server:
      - cloudflare
      Alt-Svc:
      - h3=":443"; ma=86400
      Server-Timing:
      - cfL4;desc="?proto=TCP&rtt=19190&min_rtt=17801&rtt_var=5164&sent=6&recv=8&lost=0&retrans=0&sent_bytes=2803&recv_bytes=920&delivery_rate=234061&cwnd=252&unsent_bytes=0&cid=7965c1f2c12151f3&ts=549&x=0"
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAy2MQQ5AQBAEv7Lm7MDV1TMQmdgOEozM7EpE/N0St+5KdV8kO5QqGhEoJ4VJ1AEJQJW9JLbaaFQ11xsSryc+4DwcDzATN29HG4sC5TJ7zpIfzv3fi9Ld5cTb2X+t/x6CRtwPu7zhRngAAAA=
    http_version: 
  recorded_at: Wed, 01 Mar 2017 00:00:53 GMT
recorded_with: VCR 3.0.0
